najjar.biz/Controllers/jobRequestController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using najjar.biz.Models;
using najjar.biz.Context;
using System.IO;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.EntityFramework;

namespace najjar.biz.Controllers
{
    public class jobRequestController : Controller
    {
        private ApplicationDataContext db = new ApplicationDataContext();

        // GET: /jobRequest/
        public ActionResult Index()
        {
            fillUserData();
            return View(db.JobRequests.ToList());
        }

        // GET: /jobRequest/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            JobRequest jobrequest = db.JobRequests.Find(id);
            if (jobrequest == null)
            {
                return HttpNotFound();
            }
            return View(jobrequest);
        }

        // GET: /jobRequest/Create
        public ActionResult Create(int? jobId)
        {
            JobRequest request = new JobRequest();
            if (jobId != null)
            {
                Job job = db.Jobs.Single(j => j.id == jobId);
                request.jobName = job.Title;
                request.JobId = job.id;
            }
            return View(request);
        }

        // POST: /jobRequest/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(JobRequest jobrequest, HttpPostedFileBase upload)
        {
            if (ModelState.IsValid)
            {
                string path = Path.Combine(Server.MapPath("~/Images"), upload.FileName);
                upload.SaveAs(path);
                jobrequest.FilePath = upload.FileName;
                jobrequest.CreationDate = DateTime.Now;
                jobrequest.LastModificationDate = DateTime.Now;
                //Job job = db.Jobs.Find(jobrequest.JobId);
                //jobrequest.jobName = job.Title;
                db.JobRequests.Add(jobrequest);

                db.SaveChanges();
                return RedirectToAction("jobListForGuest", "Job");
            }

            return View(jobrequest);
        }

        // GET: /jobRequest/Edit/5
        public ActionResult Edit(int? id)
        {
            fillUserData();
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            JobRequest jobrequest = db.JobRequests.Find(id);
            if (jobrequest == null)
            {
                return HttpNotFound();
            }
            return View(jobrequest);
        }

        // POST: /jobRequest/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "id,PhoneNumber,JobId,EmailAddress,FirstName,LastName,FilePath")] JobRequest jobrequest)
        {
            if (ModelState.IsValid)
            {
                db.Entry(jobrequest).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(jobrequest);
        }

        // GET: /jobRequest/Delete/5
        public ActionResult Delete(int? id)
        {
            fillUserData();
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            JobRequest jobrequest = db.JobRequests.Find(id);
            if (jobrequest == null)
            {
                return HttpNotFound();
            }
            return View(jobrequest);
        }

        // POST: /jobRequest/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            JobRequest jobrequest = db.JobRequests.Find(id);
            db.JobRequests.Remove(jobrequest);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        [HttpGet]
        public virtual ActionResult Download(string FilePath)
        {
            //fileName should be like "photo.jpg"
            string fullPath = Path.Combine(Server.MapPath("~/Images/"), FilePath);
            return File(fullPath, "application/octet-stream", FilePath);
        }
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
        public void fillUserData()
        {
            var userManager = new UserManager<ApplicationUser>(new UserStore<ApplicationUser>(new ApplicationDataContext()));
            var user = userManager.FindById(User.Identity.GetUserId());
            ViewBag.CurrentUser = user;
        }
    }
}

najjar.biz/Views/jobRequest/Create.cshtml
@model najjar.biz.Models.JobRequest

@{
    ViewBag.Title = "Create";
    var jobId = Request.QueryString["jobId"];
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">

<h2 style="color: #8b224e">Job:@Model.jobName</h2>
<br />

@using (Html.BeginForm("Create", "jobRequest", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    
    @Html.AntiForgeryToken()

    <div class="container">
        <table class="table table-striped">
            <tbody>
                <tr>
                    <td colspan="1">
                        <form class="well form-horizontal">
                            <fieldset>
                                <div class="form-group">
                                    <label class="col-md-4 control-label">First Name</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                                            @Html.EditorFor(model => model.FirstName)
                                            @Html.ValidationMessageFor(model => model.FirstName)
                                        </div>
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label class="col-md-4 control-label">Last Name</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                                            @Html.EditorFor(model => model.LastName)
                                            @Html.ValidationMessageFor(model => model.LastName)
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-4 control-label">Phone Number</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-earphone"></i></span>
                                            @Html.EditorFor(model => model.PhoneNumber)
                                            @Html.ValidationMessageFor(model => model.PhoneNumber)
                                        </div>
                                    </div>

                                </div>

                                <div class="form-group">
                                    <label class="col-md-4 control-label">Email</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
                                            @Html.EditorFor(model => model.EmailAddress)
                                            @Html.ValidationMessageFor(model => model.EmailAddress)
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-4 control-label">Upload your CV</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-upload"></i></span>
                                            <input type="file" name="upload" id="imageFile" />
                                            @Html.ValidationMessageFor(model => model.FilePath)
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                            </form>
                    </td>
                </tr>
            </tbody>
        </table>

        </div>



        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                @Html.HiddenFor(model => model.jobName, @Model.jobName)
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
}

<div>
    @Html.ActionLink("Back to List", "jobListForGuest","Job")
</div>

najjar.biz/Views/jobRequest/Delete.cshtml
@model najjar.biz.Models.JobRequest

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_Admin_Layout.cshtml";
}

<h2>job:@Model.jobName</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>JobRequest</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.CreationDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CreationDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.LastModificationDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.LastModificationDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.JobId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobId)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.EmailAddress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.EmailAddress)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FirstName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FirstName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.LastName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.LastName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FilePath)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FilePath)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

najjar.biz/Views/jobRequest/Details.cshtml
@model najjar.biz.Models.JobRequest

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Admin_Layout.cshtml";
}

<h2>Details</h2>

<div>
    <h4>job:@Model.jobName</h4>
	<hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.CreationDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CreationDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.LastModificationDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.LastModificationDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.JobId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobId)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.EmailAddress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.EmailAddress)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FirstName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FirstName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.LastName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.LastName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FilePath)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FilePath)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
    @Html.ActionLink("Back to List", "Index")
</p>

najjar.biz/Views/jobRequest/Edit.cshtml
@model najjar.biz.Models.JobRequest

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Admin_Layout.cshtml";
}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">

<h2 style="color: #8b224e">Edit Job Request's Information</h2>
<br />

@using (Html.BeginForm("Edit", "JobRequest", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <h4 style="color: #071689">job:@Model.jobName</h4>
        <hr />
        @Html.ValidationSummary(true)
        @Html.HiddenFor(model => model.id)

       <div class="container">
        <table class="table table-striped">
            <tbody>
                <tr>
                    <td colspan="1">
                        <form class="well form-horizontal">
                            <fieldset>
                                <div class="form-group">
                                    <label class="col-md-4 control-label">First Name</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                                            @Html.EditorFor(model => model.FirstName)
                                            @Html.ValidationMessageFor(model => model.FirstName)
                                        </div>
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label class="col-md-4 control-label">Last Name</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                                            @Html.EditorFor(model => model.LastName)
                                            @Html.ValidationMessageFor(model => model.LastName)
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-4 control-label">Phone Number</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-earphone"></i></span>
                                            @Html.EditorFor(model => model.PhoneNumber)
                                            @Html.ValidationMessageFor(model => model.PhoneNumber)
                                        </div>
                                    </div>

                                </div>

                                <div class="form-group">
                                    <label class="col-md-4 control-label">Email</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
                                            @Html.EditorFor(model => model.EmailAddress)
                                            @Html.ValidationMessageFor(model => model.EmailAddress)
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-4 control-label">Upload your CV</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="glyphicon glyphicon-upload"></i></span>
                                            <input type="file" name="upload" id="imageFile" />
                                            @Html.ValidationMessageFor(model => model.FilePath)
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                            </form>
                    </td>
                </tr>
            </tbody>
        </table>

        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

najjar.biz/Views/jobRequest/Index.cshtml
@model IEnumerable<najjar.biz.Models.JobRequest>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Admin_Layout.cshtml";
}

<div>
    <h2 style="color: #8b224e">Job Request Management</h2>

    <br />

    <p style="float:right;text-decoration-color:white;">

        <button class="btn btn-primary btn-default" onclick="location.href='@Url.Action("Create", "JobRequest")'">
            <i class="fa fa-plus-square pull-right" style="font-size:x-large"></i> Create New Job Request
        </button>

    </p>
    <table id="myTable" class="table table table-striped table-hover col-sm-10 col-md-10">
        <thead>
            <tr>

                <th>
                    Job Title
                </th>
                <th>
                    Candidate Name
                </th>
                <th>
                    EmailAddress
                </th>
                <th>
                    Phone Nimber
                </th>
                <th>

                    CV
                </th>

                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>

                    <td>
                        @Html.DisplayFor(modelItem => item.jobName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.FirstName)&nbsp;
                        @Html.DisplayFor(modelItem => item.LastName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.EmailAddress)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.PhoneNumber)
                    </td>
                    <td>
                        @Html.ActionLink(@item.FilePath, "Download", new { FilePath = item.FilePath })

                    </td>


                    <td>
                        <a href="@Url.Action("Edit", "JobRequest", new { id = item.id })">
                            <i class="fa fa-pencil" style="font-size:x-large" data-toggle="tooltip" title="Edit Job Request"></i>
                        </a>
                        &nbsp; &nbsp;
                        @*@Html.ActionLink("Edit", "Edit", new { id = item.id }) |*@

                        @*@Html.ActionLink("Details", "Details", new { id = item.id }) |*@
                        <a href="@Url.Action("Delete", "JobRequest", new { id = item.id })" data-toggle="tooltip" title="Delete Job Request">
                            <i class="fa fa-remove" style="font-size:x-large"></i>
                        </a>
                        @*@Html.ActionLink("Delete", "Delete", new { id = item.id })*@
                    </td>
                </tr>
            }
        </tbody>
    </table>
    <br />


</div>